R12 DEMO Plugins not register



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 01/09/2010 at 10:15, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R12 DEMO 
    Platform:   Windows  ;   Mac OSX  ; 
    Language(s) :   C.O.F.F.E.E  ;

    ---------
    When I run GeGetVersionType() on the R12 Demo
    it returns "2" as if it is BodyPaint "VERSION_BODYPAINT").

    In R11 I use

      
    if(GeGetVersionType()&VERSION;_SAVABLEDEMO)   
    {   
    Register(MyPlugin);   
    return;   
    }   
      
    if(GeGetVersionType()&VERSION;_SAVABLEDEMO_ACTIVE)   
    {   
    Register(MyPlugin);   
    return;   
    }   
    

    If these are not true I run my license check.
    But as of now none of the demo modes are recognized,
    and thus my plugin doesn't install in the default unregistered R12 Demo.

    What to look for and what might have changed?

    Cheers
    Lennart



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 01/09/2010 at 13:20, xxxxxxxx wrote:

    Take a look at the R12 transition pdf, this has seen changes Lennart



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 01/09/2010 at 14:13, xxxxxxxx wrote:

    Definitely not able simply to take your existing code and build it against the new SDK.  There are numerous changes that will require some rewriting first.  Time to break out the ole' preprocessor directives again... 😠



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 01/09/2010 at 19:14, xxxxxxxx wrote:

    Originally posted by xxxxxxxx

    Definitely not able simply to take your existing code and build it against the new SDK.  There are numerous changes that will require some rewriting first.  Time to break out the ole' preprocessor directives again... 😠

    And I already have so many since I support every version back to 9.6 :(



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 01/09/2010 at 19:51, xxxxxxxx wrote:

    Thanks Samir, to tired to see that pdf right away :)

    Cheers
    Lennart



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 02/09/2010 at 03:34, xxxxxxxx wrote:

    yeah, I also missed it right away (and I was just awake!). The link is a bit hidden on top. :)


Log in to reply